Subject: Re: [Bitcoin-development] Committing to extra block data/a better merge-mine standard

From: Peter Todd <[email-masked]>
Date: Mon, 4 Nov 2013 13:32:12 -0500

On Mon, Nov 04, 2013 at 01:16:49PM -0500, Peter Todd wrote:
> You'll want to put some "reasonable" limit on actual path lengths, just
> pick something like 32 levels; if applications pick their UUIDs honestly
> a collision will be very unlikely. You can also make the allowed paths
> block specific by defining them as H(uuid | nonce), with nonce as an

This could be H(uuid | nLockTime) Coinbase transactions still have a
nLockTime, and while it's generally left at zero it can be any value
valid for a transaction in the block.

-- 
'peter'[:-1]@petertodd.org
00000000000000086d6d5b17d979d44a24a68bcf92eb9aea18351e4f6bc485b6